## mingw-w64-python-rpds-py-0.28.0-1.src.tar.zst

=== tests/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --output-file /Users/julian/Development/rpds.py/tests/requirements.txt tests/requirements.in
iniconfig==2.3.0
    # via pytest
packaging==25.0
    # via pytest
pluggy==1.6.0
    # via pytest
pygments==2.19.2
    # via pytest
pytest==8.4.2
    # via
    #   -r tests/requirements.in
    #   pytest-run-parallel
pytest-run-parallel==0.7.0
    # via -r tests/requirements.in
rpds-py @ file:.#egg=rpds-py
    # via -r tests/requirements.in
